package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class BjDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "办件流水号")
    private String rsWbBjLsh;
	
    @ApiModelProperty(value = "申办事项")
    @NotBlank(message = "申办事项不能为空")
    private String sbsx;
    
    @ApiModelProperty(value = "数据来源")
    @NotBlank(message = "数据来源不能为空")
    private String sjly;
    
    @ApiModelProperty(value = "服务对象")
    @NotBlank(message = "服务对象不能为空")
    private String fwdx;
    
    @ApiModelProperty(value = "是否基本信息")
    private String isjbxx;
    
    @ApiModelProperty(value = "用户ID")
    private String yhid;
    
    @ApiModelProperty(value = "主体ID")
    private String ztid;
    
    @ApiModelProperty(value = "主体类别")
    private String ztlb;
    
    @ApiModelProperty(value = "申办人姓名")
    private String sbrxm;

    @ApiModelProperty(value = "申办人手机")
    private String sbrsj;
    
    @ApiModelProperty(value = "是否支持物流快递")
    @NotBlank(message = "是否支持物流快递不能为空")
    private String sfzcwlkd;
    
    @ApiModelProperty(value = "结果领取方式")
    private String jglqfs;

    @ApiModelProperty(value = "收件人姓名")
    private String sjrxm;

    @ApiModelProperty(value = "收件人手机")
    private String sjrsj;

    @ApiModelProperty(value = "收件地址")
    private String sjrdz;

    @ApiModelProperty(value = "邮政编码")
    private String yzbm;
    
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    
    @ApiModelProperty(value = "法人和其他组织统一社会信用代码")
    private String tyshxydm;
    
    @ApiModelProperty(value = "单位类型")
    private String dwlx;
    
    @ApiModelProperty(value = "单位地址")
    private String dwdz;
    
    @ApiModelProperty(value = "所属行政区代码")
    private String ssdq;
    
    @ApiModelProperty(value = "姓名")
    private String xm;
    
    @ApiModelProperty(value = "证件类型")
    private String zjlx;

    @ApiModelProperty(value = "证件号码")
    private String zjhm;

    @ApiModelProperty(value = "性别")
    private String xb;
    
    @ApiModelProperty(value = "手机号码")
    private String sjhm;

	@ApiModelProperty(value = "收件人所在省")
	private String tcustProvince;

	@ApiModelProperty(value = "收件人所在市")
	private String tcustCity;

	@ApiModelProperty(value = "收件人所在区")
	private String tcustCounty;

	public String getTcustProvince() {
		return tcustProvince;
	}

	public void setTcustProvince(String tcustProvince) {
		this.tcustProvince = tcustProvince;
	}

	public String getTcustCity() {
		return tcustCity;
	}

	public void setTcustCity(String tcustCity) {
		this.tcustCity = tcustCity;
	}

	public String getTcustCounty() {
		return tcustCounty;
	}

	public void setTcustCounty(String tcustCounty) {
		this.tcustCounty = tcustCounty;
	}

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getSbsx() {
		return sbsx;
	}

	public void setSbsx(String sbsx) {
		this.sbsx = sbsx;
	}

	public String getSjly() {
		return sjly;
	}

	public void setSjly(String sjly) {
		this.sjly = sjly;
	}

	public String getFwdx() {
		return fwdx;
	}

	public void setFwdx(String fwdx) {
		this.fwdx = fwdx;
	}

	public String getIsjbxx() {
		return isjbxx;
	}

	public void setIsjbxx(String isjbxx) {
		this.isjbxx = isjbxx;
	}

	public String getYhid() {
		return yhid;
	}

	public void setYhid(String yhid) {
		this.yhid = yhid;
	}

	public String getZtid() {
		return ztid;
	}

	public void setZtid(String ztid) {
		this.ztid = ztid;
	}

	public String getZtlb() {
		return ztlb;
	}

	public void setZtlb(String ztlb) {
		this.ztlb = ztlb;
	}

	public String getSbrxm() {
		return sbrxm;
	}

	public void setSbrxm(String sbrxm) {
		this.sbrxm = sbrxm;
	}

	public String getSbrsj() {
		return sbrsj;
	}

	public void setSbrsj(String sbrsj) {
		this.sbrsj = sbrsj;
	}

	public String getSfzcwlkd() {
		return sfzcwlkd;
	}

	public void setSfzcwlkd(String sfzcwlkd) {
		this.sfzcwlkd = sfzcwlkd;
	}

	public String getJglqfs() {
		return jglqfs;
	}

	public void setJglqfs(String jglqfs) {
		this.jglqfs = jglqfs;
	}

	public String getSjrxm() {
		return sjrxm;
	}

	public void setSjrxm(String sjrxm) {
		this.sjrxm = sjrxm;
	}

	public String getSjrsj() {
		return sjrsj;
	}

	public void setSjrsj(String sjrsj) {
		this.sjrsj = sjrsj;
	}

	public String getSjrdz() {
		return sjrdz;
	}

	public void setSjrdz(String sjrdz) {
		this.sjrdz = sjrdz;
	}

	public String getYzbm() {
		return yzbm;
	}

	public void setYzbm(String yzbm) {
		this.yzbm = yzbm;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getTyshxydm() {
		return tyshxydm;
	}

	public void setTyshxydm(String tyshxydm) {
		this.tyshxydm = tyshxydm;
	}

	public String getDwlx() {
		return dwlx;
	}

	public void setDwlx(String dwlx) {
		this.dwlx = dwlx;
	}

	public String getDwdz() {
		return dwdz;
	}

	public void setDwdz(String dwdz) {
		this.dwdz = dwdz;
	}

	public String getSsdq() {
		return ssdq;
	}

	public void setSsdq(String ssdq) {
		this.ssdq = ssdq;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getZjlx() {
		return zjlx;
	}

	public void setZjlx(String zjlx) {
		this.zjlx = zjlx;
	}

	public String getZjhm() {
		return zjhm;
	}

	public void setZjhm(String zjhm) {
		this.zjhm = zjhm;
	}

	public String getXb() {
		return xb;
	}

	public void setXb(String xb) {
		this.xb = xb;
	}

	public String getSjhm() {
		return sjhm;
	}

	public void setSjhm(String sjhm) {
		this.sjhm = sjhm;
	}
}
